Public Member Functions | Private Member Functions | List of all members
libebook::FB2NodeContextBase Class Reference

Base class for non-leaf element contexts. More...

`#include <FB2ParserContext.h>`

Inheritance diagram for libebook::FB2NodeContextBase:

## Public Member Functions
| FB2NodeContextBase (FB2ParserContext *parentContext, FB2Collector *collector=0)
Public Member Functions inherited from libebook::FB2ParserContext
| FB2ParserContext (FB2ParserContext *parentContext, FB2Collector *collector=0)
| Create a new context with `parentContext` as parent. More...
virtual FB2XMLParserContext * | leaveContext () const
| Destroy this context and return parent. More...
FB2Collector * | getCollector () const
| Get the collector. More...
FB2ParserContext * | getParentContext () const
| Get the parent context. More...
Public Member Functions inherited from libebook::FB2XMLParserContext
virtual | ~FB2XMLParserContext ()=0
virtual FB2XMLParserContext * | element (const FB2TokenData &name, const FB2TokenData &ns)=0
| Create a context for parsing a child element. More...
virtual void | endOfElement ()=0
| Signalize the end of an element. More...
virtual void | attribute (const FB2TokenData &name, const FB2TokenData *ns, const char *value)=0
| Process an attribute. More...

## Private Member Functions
virtual void | startOfElement ()
| Signalize the start of an element. More...
virtual void | endOfAttributes ()
| Signalize the end of attributes. More...
virtual void | text (const char *value)
| Process textual content of an element. More...

## Detailed Description

Base class for non-leaf element contexts.

It provides empty implementations for functions that are typically not needed for processing non-leaf elements.

## Constructor & Destructor Documentation

## § FB2NodeContextBase()

libebook::FB2NodeContextBase::FB2NodeContextBase | ( | FB2ParserContext * | parentContext,
|  | FB2Collector * | collector = `0`
| ) |  |
| explicit

## Member Function Documentation

## § endOfAttributes()

void libebook::FB2NodeContextBase::endOfAttributes | ( |  | ) |
| private virtual

Signalize the end of attributes.

Implements libebook::FB2XMLParserContext.

## § startOfElement()

void libebook::FB2NodeContextBase::startOfElement | ( |  | ) |
| private virtual

Signalize the start of an element.

This can be used if initialization of the context needs virtual function calls.

Implements libebook::FB2XMLParserContext.

Reimplemented in libebook::FB2PoemContext, libebook::FB2TableContext, libebook::FB2BodyContext, and libebook::FB2AnnotationContext.

## § text()

void libebook::FB2NodeContextBase::text | ( | const char * | value | ) |
| private virtual

Process textual content of an element.

This function can be called more than once if the element has mixed content.

Implements libebook::FB2XMLParserContext.

Reimplemented in libebook::FB2AnnotationContext, and libebook::FB2BinaryContext.

The documentation for this class was generated from the following files:

- FB2ParserContext.h
- FB2ParserContext.cpp